[18.04 FEAT] Enhanced hardware support

Bug #1836857 reported by bugproxy on 2019-07-17
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Frank Heimes
linux (Ubuntu)
Undecided
Skipper Bug Screeners
Bionic
Medium
Unassigned
Disco
Medium
Unassigned

Bug Description

SRU Justification:
==================

[Impact]

* Enhanced hardware support for upcoming machine and make sure it can report new CPU capabilities

[Fix]

* a8fd61688dfad6fdce95fa64cacd8a66595697b8 a8fd616 "s390: report new CPU capabilities"

* 142c52d7bce45d335f48d53fdbf428bb15cf3924 142c52d "s390: add alignment hints to vector load and store"

[Test Case]

* check /proc/cpuinfo in bionic running on upcoming machine - currently only IBM can do that

[Regression Potential]

* The regression potential can be considered as very low since these changes are limited to arch/s390

* and mainly adds code for the capability to report new features in cpuinfo - in case of running on new hardware

[Other Info]

* a8fd616 got upstream accepted with 5.2; 142c52d with 5.1 - hence both are already in eoan

__________

Feature request to apply this to Ubuntu 18.04 in support of new machine.

Summary: kernel: report new CPU capabilities

Description: Add hardware capability bits and features tags to /proc/cpuinfo
for 4 new CPU features: the "Vector-Enhancements Facility 2",
the "Vector-Packed-Decimal-Enhancement Facility", the
"Enhanced-Sort Facility" and the "Deflate-Conversion Facility"

bugproxy (bugproxy) on 2019-07-17
tags: added: architecture-s39064 bugnameltc-179030 severity-high targetmilestone-inin1804
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (frank-heimes) wrote :

Please share the needed commit IDs for integration into bionic kernel 4.15 and disco kernel 5.0 - or alternatively a backport. Setting to Incomplete for now.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → High
assignee: nobody → Frank Heimes (frank-heimes)

------- Comment From <email address hidden> 2019-07-17 07:39 EDT-------
Linux Kernel part
46a984ff s390/cpum_cf: Add support for CPU-MF SVN 6 (included in 5.2)
1c410fd s390/cpum_cf_diag: Add support for CPU-MF SVN 6 (included in 5.2)
820bace s390/cpumf: Add extended counter set definitions for model 8561 and 8562 (5.3-rc1)

s390-tools-part (all upstream available):
f110a77b cpumf: Add support for CPU-Measurement Facility counters SVN 6

libpfm4 part (all upsteam available):
b831b04 s390/cpumf: add support for machine type 8561
c08003f s390/cpumf: add support for counter second version number 6
dc643f4 s390/cpumf: add IBM z14 ZR1 support

------- Comment From <email address hidden> 2019-07-17 07:41 EDT-------
(In reply to comment #11)
> Linux Kernel part
> 46a984ff s390/cpum_cf: Add support for CPU-MF SVN 6 (included in 5.2)
> 1c410fd s390/cpum_cf_diag: Add support for CPU-MF SVN 6 (included in 5.2)
> 820bace s390/cpumf: Add extended counter set definitions for model 8561 and
> 8562 (5.3-rc1)
>
> s390-tools-part (all upstream available):
> f110a77b cpumf: Add support for CPU-Measurement Facility counters SVN 6
>
> libpfm4 part (all upsteam available):
> b831b04 s390/cpumf: add support for machine type 8561
> c08003f s390/cpumf: add support for counter second version number 6
> dc643f4 s390/cpumf: add IBM z14 ZR1 support

Sorry wrong bug. this is for
ibm bug 179262 - launchpad bug 1836860

------- Comment From <email address hidden> 2019-07-17 07:45 EDT-------
This is
linux kernel

commit a8fd61688dfad6fdce95fa64cacd8a66595697b8
s390: report new CPU capabilities

commit 142c52d7bce45d335f48d53fdbf428bb15cf3924
s390: add alignment hints to vector load and store

Frank Heimes (frank-heimes) wrote :

Just for reference: The following s390-tools enhancement:
s390-tools-part (all upstream available)
f110a77b cpumf: Add support for CPU-Measurement Facility counters SVN 6
is already addressed in LP 1836862.

But libpfm4 is not yet addressed.

Frank Heimes (frank-heimes) wrote :

Just for completeness reasons:
The request to update/patch libpfm4 came in now with LP 1836532.

Frank Heimes (frank-heimes) wrote :

Just to clarify - this ticket is only about:

commit a8fd61688dfad6fdce95fa64cacd8a66595697b8
s390: report new CPU capabilities

commit 142c52d7bce45d335f48d53fdbf428bb15cf3924
s390: add alignment hints to vector load and store

description: updated
Frank Heimes (frank-heimes) wrote :
information type: Private → Public
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Changed in ubuntu-z-systems:
status: Incomplete → In Progress
Stefan Bader (smb) on 2019-08-12
Changed in linux (Ubuntu Bionic):
importance: Undecided → Medium
Changed in linux (Ubuntu Disco):
importance: Undecided → Medium
Changed in linux (Ubuntu Bionic):
status: New → Fix Committed
Changed in linux (Ubuntu Disco):
status: New → Fix Committed
Frank Heimes (frank-heimes) wrote :

Changing 'linux (Ubuntu)' entry to Fix Released, since it represents the Ubuntu version that is currently in development - means Eoan - and this already includes the patches (see SRU info in bug description - Other Info).

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-08-15 07:36 EDT-------
Function verified upstream by IBM

tags: added: verification-done-disco
removed: verification-needed-disco

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (34.4 KiB)

This bug was fixed in the package linux - 5.0.0-27.28

---------------
linux (5.0.0-27.28) disco; urgency=medium

  * disco/linux: 5.0.0-27.28 -proposed tracker (LP: #1840816)

  * [Potential Regression] System crashes when running ftrace test in
    ubuntu_kernel_selftests (LP: #1840750)
    - x86/kprobes: Set instruction page as executable

linux (5.0.0-26.27) disco; urgency=medium

  * disco/linux: 5.0.0-26.27 -proposed tracker (LP: #1839972)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - ALSA: hda: hdmi - add Icelake support
    - ALSA: hda/hdmi - Remove duplicated define
    - ALSA: hda/hdmi - Fix i915 reverse port/pin mapping

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Input: alps - don't handle ALPS cs19 trackpoint-only device
    - Input: alps - fix a mismatch between a condition check and its comment

  * [18.04 FEAT] Enhanced hardware support (LP: #1836857)
    - s390: report new CPU capabilities
    - s390: add alignment hints to vector load and store

  * System does not auto detect disconnection of external monitor (LP: #1835001)
    - drm/i915: Add support for retrying hotplug
    - drm/i915: Enable hotplug retry

  * [18.04 FEAT] Enhanced CPU-MF hardware counters - kernel part (LP: #1836860)
    - s390/cpum_cf: Add support for CPU-MF SVN 6
    - s390/cpumf: Add extended counter set definitions for model 8561 and 8562

  * EeePC 1005px laptop backlight is off after system boot up (LP: #1837117)
    - platform/x86: asus-wmi: Only Tell EC the OS will handle display hotkeys from
      asus_nb_wmi

  * br_netfilter: namespace sysctl operations (LP: #1836910)
    - netfilter: bridge: port sysctls to use brnf_net
    - netfilter: bridge: namespace bridge netfilter sysctls
    - netfilter: bridge: prevent UAF in brnf_exit_net()

  * ideapad_laptop disables WiFi/BT radios on Lenovo Y540 (LP: #1837136)
    - platform/x86: ideapad-laptop: Remove no_hw_rfkill_list

  * shiftfs: allow overlayfs (LP: #1838677)
    - SAUCE: shiftfs: enable overlayfs on shiftfs

  * bcache: bch_allocator_thread(): hung task timeout (LP: #1784665)
    - bcache: never writeback a discard operation
    - bcache: improve bcache_reboot()
    - SAUCE: bcache: fix deadlock in bcache_allocator

  * Regressions in CMA allocation rework (LP: #1839395)
    - dma-contiguous: do not overwrite align in dma_alloc_contiguous()
    - dma-contiguous: page-align the size in dma_free_contiguous()

  * CVE-2019-3900
    - vhost: introduce vhost_exceeds_weight()
    - vhost_net: fix possible infinite loop
    - vhost: vsock: add weight support
    - vhost: scsi: add weight support

  * Disco update: 5.0.21 upstream stable release (LP: #1837518)
    - bonding/802.3ad: fix slave link initialization transition states
    - cxgb4: offload VLAN flows regardless of VLAN ethtype
    - inet: switch IP ID generator to siphash
    - ipv4/igmp: fix another memory leak in igmpv3_del_delrec()
    - ipv4/igmp: fix build error if !CONFIG_IP_MULTICAST
    - ipv6: Consider sk_bound_dev_if when binding a raw socket to an address
    - ipv6: Fix redi...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (235.3 KiB)

This bug was fixed in the package linux - 4.15.0-60.67

---------------
linux (4.15.0-60.67) bionic; urgency=medium

  * bionic/linux: 4.15.0-60.67 -proposed tracker (LP: #1841086)

  * [Regression] net test from ubuntu_kernel_selftests failed due to bpf test
    compilation issue (LP: #1840935)
    - SAUCE: Fix "bpf: relax verifier restriction on BPF_MOV | BPF_ALU"

  * [Regression] failed to compile seccomp test from ubuntu_kernel_selftests
    (LP: #1840932)
    - Revert "selftests: skip seccomp get_metadata test if not real root"

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis

linux (4.15.0-59.66) bionic; urgency=medium

  * bionic/linux: 4.15.0-59.66 -proposed tracker (LP: #1840006)

  * zfs not completely removed from bionic tree (LP: #1840051)
    - SAUCE: (noup) remove completely the zfs code

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * [18.04 FEAT] Enhanced hardware support (LP: #1836857)
    - s390: report new CPU capabilities
    - s390: add alignment hints to vector load and store

  * [18.04 FEAT] Enhanced CPU-MF hardware counters - kernel part (LP: #1836860)
    - s390/cpum_cf: Add support for CPU-MF SVN 6
    - s390/cpumf: Add extended counter set definitions for model 8561 and 8562

  * ideapad_laptop disables WiFi/BT radios on Lenovo Y540 (LP: #1837136)
    - platform/x86: ideapad-laptop: Remove no_hw_rfkill_list

  * Stacked onexec transitions fail when under NO NEW PRIVS restrictions
    (LP: #1839037)
    - SAUCE: apparmor: fix nnp subset check failure when, stacking

  * bcache: bch_allocator_thread(): hung task timeout (LP: #1784665) // Tight
    timeout for bcache removal causes spurious failures (LP: #1796292)
    - SAUCE: bcache: fix deadlock in bcache_allocator

  * bcache: bch_allocator_thread(): hung task timeout (LP: #1784665)
    - bcache: never writeback a discard operation
    - bcache: improve bcache_reboot()
    - bcache: fix writeback target calc on large devices
    - bcache: add journal statistic
    - bcache: fix high CPU occupancy during journal
    - bcache: use pr_info() to inform duplicated CACHE_SET_IO_DISABLE set
    - bcache: fix incorrect sysfs output value of strip size
    - bcache: fix error return value in memory shrink
    - bcache: fix using of loop variable in memory shrink
    - bcache: Fix indentation
    - bcache: Add __printf annotation to __bch_check_keys()
    - bcache: Annotate switch fall-through
    - bcache: Fix kernel-doc warnings
    - bcache: Remove an unused variable
    - bcache: Suppress more warnings about set-but-not-used variables
    - bcache: Reduce the number of sparse complaints about lock imbalances
    - bcache: Fix a compiler warning in bcache_device_init()
    - bcache: Move couple of string arrays to sysfs.c
    - bcache: Move couple of functions to sysfs.c
    - bcache: Replace bch_read_string_list() by __sysfs_match_string()

  * linux hwe i386 kernel 5.0.0-21.22~18.04.1 crashes on Lenovo x220
    (LP: #1838115)
    - x86/mm: Check for pfn instead of page in vmalloc_sync_one()
    - x86/mm: Sync also unmappings in vmalloc_sync_all()
    - mm/vmalloc.c: add priority threshold to __purge_vmap_area_lazy()...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-09-04 03:50 EDT-------
IBM Bugzilla status -> closed, Fix Released with Bionic

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers